Package com.artofsolving.jodconverter

# Interface DocumentConverter

All Known Implementing Classes:
  `AbstractOpenOfficeDocumentConverter`, `OpenOfficeDocumentConverter`, `StreamOpenOfficeDocumentConverter`

public interface DocumentConverter

## Method Summary

Modifier and Type
Method
Description
`void`
`convert(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)`
Convert a document.
`void`
`convert(File inputDocument, File outputDocument)`
Convert a document.
`void`
`convert(File inputDocument, File outputDocument, DocumentFormat outputFormat)`
Convert a document.
`void`
`convert(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)`
Convert a document.

## Method Details

### convert

void convert(InputStream inputStream, DocumentFormat inputFormat, OutputStream outputStream, DocumentFormat outputFormat)
Convert a document.

Note that this method does not close `inputStream` and `outputStream`.

Parameters:
  `inputStream` -
  `inputFormat` -
  `outputStream` -
  `outputFormat` -

### convert

void convert(File inputFile, DocumentFormat inputFormat, File outputFile, DocumentFormat outputFormat)
Convert a document.

Parameters:
  `inputFile` -
  `inputFormat` -
  `outputFile` -
  `outputFormat` -

### convert

void convert(File inputDocument, File outputDocument, DocumentFormat outputFormat)
Convert a document. The input format is guessed from the file extension.

Parameters:
  `inputDocument` -
  `outputDocument` -
  `outputFormat` -

### convert

void convert(File inputDocument, File outputDocument)
Convert a document. Both input and output formats are guessed from the file extension.

Parameters:
  `inputDocument` -
  `outputDocument` -